> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve information on a single file or a directory



## OpenAPI

````yaml /api-reference/4.2/service-solrconfig.json get /collections/{collection}/solr-config/{path}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service solrconfig
servers:
  - url: /api/apollo/
security: []
tags:
  - name: solrconfig
paths:
  /collections/{collection}/solr-config/{path}:
    get:
      tags:
        - 4.2 Solr Config API
      summary: Retrieve information on a single file or a directory
      operationId: getConfigNodeAsBytes
      parameters:
        - name: collection
          in: path
          description: The collection that contains the configuration files
          required: true
          schema:
            type: string
        - name: path
          in: path
          description: >-
            The path to a specific file or nested child nodes. If the file is
            not nested, the filename can be entered without any path information
          required: true
          schema:
            type: string
            pattern: .*
      responses:
        '200':
          description: successful operation
          content:
            application/octet-stream:
              schema:
                type: array
                items:
                  type: string
                  format: byte

````